function [ koef_cell ] = vektor_na_koeficient( vektor, Struktura, pocet_filtru )
% Vektor na cell koeficientu
%   z Struktura vytahne informace o umisteni bodu vsech koef. ve vektoru 
%   funkce vraci 2level cell koeficientu nekolika urovni
%       Kazdy radek vyjadruje informace o ulozeni jednoho koefic. do vekt.
%       1. sl. - uroven transformace koeficientu
%       2. a 3.sl. - pozice koeficientu v cell
%       4. a 5.sl. - pocty rows a cols koeficientu



akt_radek = 1;  % aktualni koeficient
akt_pozice = 1; % aktualni bod vektoru
[poc_koef,sloupcu] = size(Struktura);
urovne = poc_koef/(pocet_filtru*pocet_filtru);   % znaci level transformace
pole_pole_koef = cell(urovne,1);
konc_pozice = 0;

for p_ur = 1:urovne
    pole_koef = cell(pocet_filtru,pocet_filtru);
    for p_row = 1:pocet_filtru     % urcuje koeficient transformace
        for p_col = 1:pocet_filtru
            
            if p_ur<urovne && p_row == 1 && p_col == 1
                % neni potreba obnovovat {1,1} koeficienty nizsich
                % transformaci
                akt_radek = akt_radek + 1;
                
            else   
                
                rows = Struktura(akt_radek,4);  % rozmery akt. koef.
                cols = Struktura(akt_radek,5);

                for k_row = 1:rows

                        konc_pozice = konc_pozice + cols;
                        pole_koef{p_row,p_col}(k_row,1:end) = vektor(1,akt_pozice:konc_pozice);
                        akt_pozice = akt_pozice + cols;

                end

                akt_radek = akt_radek + 1;
            
            end
            
        end
    end
    
    pole_pole_koef{p_ur,1} = pole_koef;
    
end

koef_cell = pole_pole_koef;
end